package com.yn.bftl.thirdparty.modules.business.enums;

import lombok.AllArgsConstructor;

/**
 * 支付方式
 *
 * @author chendehuihuo
 * @date 2022/7/19 17:19
 */
@AllArgsConstructor
public enum PayMethod {

    BALANCE("BALANCE", "账户余额"),
    WECHATPAY_MINIPROGRAM("WECHATPAY_MINIPROGRAM", "微信小程序支付"),
    SCAN_WEIXIN("SCAN_WEIXIN", "微信扫码支付(正扫)");

    private final String value;
    private final String name;

    public String getValue() {
        return this.value;
    }

    public String getName() {
        return this.name;
    }

}
